For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • PUTUpdate A Company User
              • GETGet Company Users
              • POSTCreate A Company User
              • PUTUpdate Company User
              • POSTBulk Create Company User
              • GETGet A Company User
              • DELDelete A Company User
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIUser

Get Company Users

Deprecated
GET
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/users
GET
/api/v2/io/companies/:companyId/users
$curl https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/users \
> -H "authToken: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "list": [
5 {
6 "catalogId": "1",
7 "createdAt": "1574999690",
8 "email": "john.smith@example.com",
9 "firstName": "John",
10 "id": "123",
11 "lastName": "Smith",
12 "phoneNumber": "555-123-4567",
13 "role": "1",
14 "updatedAt": "1574999690",
15 "uuid": "A123456",
16 "channelList": []
17 }
18 ],
19 "pagination": {
20 "limit": 10,
21 "offset": 0,
22 "totalCount": 1
23 }
24 },
25 "message": "SUCCESS"
26}
Get company users, with pagination data
Was this page helpful?
Previous

Update A Company User

Next

Create A Company User

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Query parameters

offsetdoubleOptional

Pagination offset default: 0

limitdoubleOptional

Pagination limit default: 10

role[]stringOptional

user role(0=admin 1=senior_buyer 2=junior_buyer 3=sales_rep) eg. role[]=1, 2

isIncludeExtraFieldsstringOptional
0 or 1

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

404
Not Found Error